Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.connectionfactories
Class XAConnectionFactoryImpl

    java.lang.Object
      net.sf.dropboxmq.connectionfactories.ConnectionFactoryImpl
          net.sf.dropboxmq.connectionfactories.XAConnectionFactoryImpl

All Implemented Interfaces:
  Serializable, ConnectionFactory, XAConnectionFactory, Referenceable

Direct Known Subclasses:
  XAQueueConnectionFactoryImpl, XATopicConnectionFactoryImpl

    public class XAConnectionFactoryImpl

extends ConnectionFactoryImpl
implements XAConnectionFactory

Created: 30 Jul 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`XAConnectionFactoryImpl(Configuration configuration, ManagedConnectionFactory managedConnectionFactory, ConnectionManager connectionManager)`

Method Summary
`XAConnection` | `createXAConnection()` Creates an `XAConnection` with the default user identity.
`XAConnection` | `createXAConnection(String userName, String password)` Creates an XA connection with the specified user identity.

Methods inherited from class net.sf.dropboxmq.connectionfactories.ConnectionFactoryImpl
`createConnection, createConnection, createConnection, getConfiguration, getConnectionManager, getManagedConnectionFactory, getReference, setReference, toObjectString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAConnectionFactoryImpl

    public XAConnectionFactoryImpl(Configuration configuration,
                                   ManagedConnectionFactory managedConnectionFactory,
                                   ConnectionManager connectionManager)

Method Detail

### createXAConnection

    public XAConnection createXAConnection()
                                    throws JMSException

  Description copied from interface: `javax.jms.XAConnectionFactory`
  Creates an `XAConnection` with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Returns:
    a newly created `XAConnection`
  Throws:
    `JMSException` - if the JMS provider fails to create an XA connection due to some internal error.

### createXAConnection

    public XAConnection createXAConnection(String userName,
                                           String password)
                                    throws JMSException

  Description copied from interface: `javax.jms.XAConnectionFactory`
  Creates an XA connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA connection due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD